Description: <short summary of the patch>
 Default background color incorrect fix; dynamic meory allocation could lead to memory leak
 .
 kglife (1.0-5+bf) jammy; urgency=medium
 .
   * Bug fix: choosing default colors sets incorrect background
   * Smart pointer prevent memory leak
Author: Eugene E. Sorochinskiy <manager@darkguard.net>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2023-11-13

--- kglife-1.0.orig/KLGameField.cpp
+++ kglife-1.0/KLGameField.cpp
@@ -12,6 +12,7 @@
 #include <QMessageBox>
 #include <QTextStream>
 #include <QDialogButtonBox>
+#include <QPushButton>
 #include "LoadGameException.h"
 #include "configdialog.h"
 
@@ -516,19 +517,17 @@ void KLGameField::cRestore(bool) {
     restoreScreen();
 }
 
-void KLGameField::setupGame(void) {
+void KLGameField::setupGame() {
 
     cancelTimerInstantly();
-    cDialog = new ConfigDialog(m_ColorBackground, m_ColorCells, m_colorBetween, this);
+    std::unique_ptr<ConfigDialog> cDialog = std::make_unique<ConfigDialog>(m_ColorBackground,
+                                                                           m_ColorCells, m_colorBetween, this);
     cDialog->setModal(true);
     int res = cDialog->exec();
     if (res == QDialog::Accepted) {
-        applySetup(true);
+        applySetup(cDialog.get(), true);
 
     }
-    delete cDialog;
-    cDialog = nullptr;
-
 }
 
 void KLGameField::tryLoadFromFile(const QString &path) {
@@ -593,12 +592,14 @@ void KLGameField::tryLoadFromFile(const
 
 void KLGameField::cdApply(bool b) {
 
-    applySetup(false);
+    auto *btn = dynamic_cast<QPushButton *>(sender());
+    auto *cd = dynamic_cast<ConfigDialog *>(btn->parent()->parent());
+    applySetup(cd, false);
     emit settingsApplied();
     repaint();
 }
 
-void KLGameField::applySetup(bool confirm) {
+void KLGameField::applySetup(ConfigDialog *cDialog, bool confirm) {
     m_ColorCells = cDialog->getMCellColor();
     m_ColorBackground = cDialog->getMBackColor();
     m_colorBetween = cDialog->getMBetweenColor();
--- kglife-1.0.orig/KLGameField.h
+++ kglife-1.0/KLGameField.h
@@ -53,7 +53,7 @@ private:
     [[nodiscard]]
     QSize getStandardFieldDefs(int &, int &) const;
 
-    void applySetup(bool);
+    void applySetup(ConfigDialog *, bool);
 
     int m_TimerInterval;
     int m_Generation = 0;
@@ -83,7 +83,6 @@ private:
     QColor m_ColorCells;
     QColor m_ColorBackground;
     QColor m_colorBetween;
-    ConfigDialog *cDialog = nullptr;
 
 public slots:
     void newAction(bool);
@@ -93,7 +92,7 @@ public slots:
     void checkTimerAndUpdate(bool);
     void timerChanged(int);
 
-    void setupGame(void);
+    void setupGame();
     void changeMoveMode(bool);
 
     void cZoomIn(bool);
--- kglife-1.0.orig/configdialog.cpp
+++ kglife-1.0/configdialog.cpp
@@ -16,6 +16,16 @@
 #include <QStandardPaths>
 #include <KConfig>
 #include <KConfigGroup>
+#include "preferences.h"
+
+namespace KGLGlobals {
+    extern PreferencesType defs;
+/*
+ *      {"cellsColor",QVariant(QColor(0x00FF55))},
+        {"backColor",QVariant(QColor("#000000"))},
+        {"borderColor", QVariant(QColor("#232323"))}
+ */
+}
 
 
 ConfigDialog::ConfigDialog(QColor &bColor, QColor &cellColor,
@@ -118,9 +128,9 @@ void ConfigDialog::setButtonIconColor(QP
 }
 
 void ConfigDialog::restoreDefaults(bool) {
-    mBackColor = QColor("#000000");
-    mBetweenColor = QColor("#232323");
-    mCellColor = QColor("#00ff00");
+    mBackColor = KGLGlobals::defs["backColor"].value<QColor>();
+    mBetweenColor = KGLGlobals::defs["borderColor"].value<QColor>();
+    mCellColor = KGLGlobals::defs["cellsColor"].value<QColor>();
     setButtonIconColor(ui->buttonBackColor, mBackColor);
     setButtonIconColor(ui->buttonCellColor, mCellColor);
     setButtonIconColor(ui->buttonBetweenColor, mBetweenColor);
--- kglife-1.0.orig/mainwindow.cpp
+++ kglife-1.0/mainwindow.cpp
@@ -12,6 +12,14 @@
 #include "ui_mainwindow.h"
 #include "version.h"
 
+namespace KGLGlobals {
+    PreferencesType defs = {
+            {"cellsColor",  QVariant(QColor(0x00FF55))},
+            {"backColor",   QVariant(QColor("black"))},
+            {"borderColor", QVariant(QColor(0x232323))}
+    };
+}
+
 QString MainWindow::orgName = "kglife";
 
 MainWindow::MainWindow(QWidget *parent) :
@@ -123,8 +131,8 @@ void MainWindow::colonyIsEmpty(void) {
 
 void MainWindow::fillDataFromSettings(void)  {
 
-    for (const QString &key: defs.keys()) {
-        m_data.insert(key, settings.value(key, defs[key]));
+    for (const QString &key: KGLGlobals::defs.keys()) {
+        m_data.insert(key, settings.value(key, KGLGlobals::defs[key]));
     }
 
 }
--- kglife-1.0.orig/mainwindow.h
+++ kglife-1.0/mainwindow.h
@@ -35,11 +35,7 @@ private:
     QSlider *timerSlider;
 
     QSettings settings;
-    PreferencesType defs = {
-            {"cellsColor",QVariant(QColor(0x00FF55))},
-            {"backColor",QVariant(QColor("#000000"))},
-            {"borderColor", QVariant(QColor("#232323"))}
-    };
+
     PreferencesType m_data;
 
     void fillDataFromSettings(void);
--- kglife-1.0.orig/mainwindow_de.ts
+++ kglife-1.0/mainwindow_de.ts
@@ -5,25 +5,29 @@
     <name>ConfigDialog</name>
     <message>
         <location filename="configdialog.ui" line="14"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="268"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="268"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="268"/>
         <source>Kglife - Settings</source>
         <translation>Kglife - Setzung</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="90"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="273"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="273"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="273"/>
         <source>Colors</source>
         <translation>Farben</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="99"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="275"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="275"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="275"/>
         <source>Patterns</source>
         <translation>Modelle</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="135"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="278"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="278"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="278"/>
         <source>Cell Color</source>
         <translation>Einzellefarbe</translation>
     </message>
@@ -31,33 +35,40 @@
         <location filename="configdialog.ui" line="142"/>
         <location filename="configdialog.ui" line="162"/>
         <location filename="configdialog.ui" line="182"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="279"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="281"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="283"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="279"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="281"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="283"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="279"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="281"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="283"/>
         <source>Select...</source>
         <translation>Anwahl...</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="175"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="282"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="282"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="282"/>
         <source>Cells Border Color</source>
         <translation>Einzellerandfarbe</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="217"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="284"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="284"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="284"/>
         <source>Patterns List</source>
         <translation>Modelleliste</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="233"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="285"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="285"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="285"/>
         <source>Pattern Details</source>
         <translation>Einzelheiten zum Model</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="257"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="286"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="286"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="286"/>
         <source>Description:</source>
         <translation>Beschreibung:</translation>
     </message>
@@ -65,42 +76,48 @@
         <location filename="configdialog.ui" line="279"/>
         <location filename="configdialog.ui" line="317"/>
         <location filename="configdialog.ui" line="349"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="287"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="289"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="291"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="287"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="289"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="291"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="287"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="289"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="291"/>
         <source>TextLabel</source>
         <translation>TextLabel</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="295"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="288"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="288"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="288"/>
         <source>Author:</source>
         <translation>Autor:</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="327"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="290"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="290"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="290"/>
         <source>Author E-Mail:</source>
         <translation>EMail von Autor:</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="155"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="280"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="280"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="280"/>
         <source>Background Color</source>
         <translation>Hintergrundfarbe</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="53"/>
+        <location filename="configdialog.cpp" line="63"/>
         <source>Choose background color</source>
         <translation>Hintergrundfarbe anwahlen</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="64"/>
+        <location filename="configdialog.cpp" line="74"/>
         <source>Choose cells color</source>
         <translation>Einzellefarbe anwahlen</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="75"/>
+        <location filename="configdialog.cpp" line="85"/>
         <source>Choose border color</source>
         <translation>Einzellerandfarbe anwahlen</translation>
     </message>
@@ -108,59 +125,59 @@
 <context>
     <name>KLGameField</name>
     <message>
-        <location filename="KLGameField.cpp" line="407"/>
+        <location filename="KLGameField.cpp" line="408"/>
         <source>Load colony from file</source>
         <translation>Kolonie von der Datei einladen</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="408"/>
-        <location filename="KLGameField.cpp" line="421"/>
+        <location filename="KLGameField.cpp" line="409"/>
+        <location filename="KLGameField.cpp" line="422"/>
         <source>This application (*.kgol)</source>
         <translation>Diese App (*.kgol)</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="431"/>
-        <location filename="KLGameField.cpp" line="538"/>
+        <location filename="KLGameField.cpp" line="432"/>
+        <location filename="KLGameField.cpp" line="537"/>
         <source>Open file failed</source>
         <translation>Dateiladen Versager</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="612"/>
+        <location filename="KLGameField.cpp" line="613"/>
         <source>Info</source>
         <translation>Vorsicht</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="613"/>
+        <location filename="KLGameField.cpp" line="614"/>
         <source>Do you really want to load colony from the selected template?</source>
         <oldsource>Do you really want to load colony from the selected template</oldsource>
         <translation>Wollen Sie wirklich eine ausgewählte Kolonie anladen?</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="544"/>
-        <location filename="KLGameField.cpp" line="556"/>
-        <location filename="KLGameField.cpp" line="566"/>
-        <location filename="KLGameField.cpp" line="578"/>
+        <location filename="KLGameField.cpp" line="543"/>
+        <location filename="KLGameField.cpp" line="555"/>
+        <location filename="KLGameField.cpp" line="565"/>
+        <location filename="KLGameField.cpp" line="577"/>
         <source>Invalid file format</source>
         <translation>Ungültiges Dateiformat</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="446"/>
-        <location filename="KLGameField.cpp" line="590"/>
+        <location filename="KLGameField.cpp" line="447"/>
+        <location filename="KLGameField.cpp" line="589"/>
         <source>Error</source>
         <translation>Fehler</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="420"/>
+        <location filename="KLGameField.cpp" line="421"/>
         <source>Save colony current state</source>
         <translation>Den Koloniezustand sparen</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="455"/>
+        <location filename="KLGameField.cpp" line="456"/>
         <source>Set or erase a single cell by double click or drag a line with left button pressed</source>
         <translation>Mausdoppelklick um die Einzelle setzen oder löschen</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="456"/>
+        <location filename="KLGameField.cpp" line="457"/>
         <source>Drag the mouse to move field</source>
         <translation>Linke Maustaste halten um das Feld zu bewegen</translation>
     </message>
@@ -169,233 +186,265 @@
     <name>MainWindow</name>
     <message>
         <location filename="mainwindow.ui" line="26"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="273"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="273"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="273"/>
         <source>Game Of Life</source>
         <translation>Lebenspiel</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="74"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="330"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="330"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="330"/>
         <source>Game</source>
         <translation>Spiel</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="90"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="331"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="331"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="331"/>
         <source>Settings</source>
         <translation>Setzen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="99"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="332"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="332"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="332"/>
         <source>Help</source>
         <translation>Hilfe</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="156"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="274"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="274"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="274"/>
         <source>New Game</source>
         <translation>Neues Spiel</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="159"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="276"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="276"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="276"/>
         <source>Clear the field and stop evolution</source>
         <translation>Aufklaren das Spielfeld und die Evolution stoppen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="168"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="278"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="278"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="278"/>
         <source>Next Step</source>
         <translation>Nächster Schritt</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="171"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="280"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="280"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="280"/>
         <source>Next single evolution step</source>
         <translation>Nächster Evolutionsschritt</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="180"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="282"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="282"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="282"/>
         <source>Start/Stop Evolution</source>
         <translation>Start/Stop die Evolution</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="183"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="284"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="284"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="284"/>
         <source>Start Evolution</source>
         <translation>Start die Evolution</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="186"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="287"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="287"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="287"/>
         <source>Start or stop continuous evolution.&lt;br&gt; The  icon changes  to match the current mode</source>
         <oldsource>Start or stop continious evolution.&lt;br&gt; The  icon changes  to match the current mode</oldsource>
         <translation type="unfinished">Kontinuierliche Weiterentwicklung starten oder stoppen.&lt;br&gt; Das Symbol ändert sich entsprechend dem aktuellen Modus</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="195"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="289"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="289"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="289"/>
         <source>About Qt</source>
         <translation>Über Qt</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="204"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="290"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="290"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="290"/>
         <source>About</source>
         <translation>Über diese App</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="213"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="291"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="291"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="291"/>
         <source>Save...</source>
         <translation>Sparen...</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="216"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="293"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="293"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="293"/>
         <source>Save colony current state</source>
         <translation>Den Koloniezustand sparen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="219"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="296"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="296"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="296"/>
         <source>Save current colony to file</source>
         <translation>Den Koloniezustand zur Datei sparen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="228"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="298"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="298"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="298"/>
         <source>Open...</source>
         <translation>Laden...</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="231"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="300"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="300"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="300"/>
         <source>Load colony from file</source>
         <translation>Den Koloniezustand einladen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="234"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="303"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="303"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="303"/>
         <source>Load a colony from a file</source>
         <translation>Den Koloniezustand von Datei einladen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="252"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="307"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="307"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="307"/>
         <source>Click here to enter field move mode. In this mode you can move the field to see the cells that don&apos;t fit the screen due to current zoom</source>
         <translation>Machen Sie eine Mausclick, um das Feldverschiebungsmodus zu eintragen. Mit diesem Modus können Sie das Feld verschieben, um die Zellen, die den Bildschirm nicht passen wegen вуы Maßstabs</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="264"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="311"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="311"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="311"/>
         <source>Zoom scale in. You can also use mouse wheel. &lt;br&gt; Dimmed on maximum zoom</source>
         <translation>Zunehmen den Maßstab. Können Sie auch das Mausrad benutzen &lt;br&gt; Dunkelt when der Maßstab maximum ist</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="279"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="315"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="315"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="315"/>
         <source>Zoom scale out. You can also use mouse wheel.&lt;br&gt;  Dimmed on minimal zoom</source>
         <translation>Verringern den Maßstab. Können Sie auch das Mausrad benutzen &lt;br&gt; Dunkelt when der Maßstab minimum ist</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="294"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="319"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="319"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="319"/>
         <source>Restore initial zoom.&lt;br&gt; Dimmed when the zoom is minimal</source>
         <translation>Wiederherstellen den Maßstab.&lt;br&gt; Dunkelt when der Maßstab minimum ist</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="303"/>
         <location filename="mainwindow.ui" line="306"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="321"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="323"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="321"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="323"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="321"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="323"/>
         <source>Kglife settings...</source>
         <oldsource>Setup Kglife</oldsource>
         <translation>Kglife besetzen...</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="309"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="326"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="326"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="326"/>
         <source>Open settings dialog</source>
         <translation>Besetzungefenster aufmachen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="317"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="328"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="328"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="328"/>
         <source>Show toolbar</source>
         <translation>Symbolleiste anzeigen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="325"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="329"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="329"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="329"/>
         <source>Show status bar</source>
         <translation>Statusleiste anzeigen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="249"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="305"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="305"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="305"/>
         <source>Move</source>
         <translation>Bewegen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="261"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="309"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="309"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="309"/>
         <source>Zoom In</source>
         <translation>Zunehmen</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="276"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="313"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="313"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="313"/>
         <source>Zoom Out</source>
         <translation>Verringern</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="291"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="317"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="317"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="317"/>
         <source>Restore</source>
         <translation>Wiederherstellen</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="37"/>
+        <location filename="mainwindow.cpp" line="45"/>
         <source>Generation Change Rate</source>
         <oldsource>Generation Change Speed</oldsource>
         <translation>Veränderengeschwindigkeit</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="39"/>
+        <location filename="mainwindow.cpp" line="47"/>
         <source>You can change generation rate even when evolution is in progress</source>
         <translation>Veränderen Sie die Geburstgeschwindigkeit sogar wenn die Evolution progreßiert</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="50"/>
+        <location filename="mainwindow.cpp" line="58"/>
         <source>Put any cells here by mouse click or simply drag a line of cells.&lt;br&gt;You can also zoom in and out whith a mouse wheel or action controls</source>
         <oldsource>Put any cells here by mouse click or simply drag a line of cells.&lt;br&gt;You can also increase or decrease the scale whith a mouse wheel or menu controls</oldsource>
         <translation>Stellen Sie hier mit Mausklick beliebige Zellen ein oder ziehen Sie einfach eine Zelllinie auf</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="70"/>
+        <location filename="mainwindow.cpp" line="78"/>
         <source>A simple Game Of Life Qt realization</source>
         <translation>Die einfrache Lebenspielrealisation</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="112"/>
+        <location filename="mainwindow.cpp" line="120"/>
         <source>Start evolution</source>
         <translation>Start die Evolution</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="112"/>
+        <location filename="mainwindow.cpp" line="120"/>
         <source>Stop evolution</source>
         <translation>Stop die Evolution</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="116"/>
+        <location filename="mainwindow.cpp" line="124"/>
         <source>Generation: %1</source>
         <translation>Generation %1</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="121"/>
+        <location filename="mainwindow.cpp" line="129"/>
         <source>Colony is empty</source>
         <translation>Leerkolonie</translation>
     </message>
--- kglife-1.0.orig/mainwindow_ru.ts
+++ kglife-1.0/mainwindow_ru.ts
@@ -5,25 +5,29 @@
     <name>ConfigDialog</name>
     <message>
         <location filename="configdialog.ui" line="14"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="268"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="268"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="268"/>
         <source>Kglife - Settings</source>
         <translation>Kglife - Настройки</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="90"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="273"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="273"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="273"/>
         <source>Colors</source>
         <translation>Цвета</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="99"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="275"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="275"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="275"/>
         <source>Patterns</source>
         <translation>Шаблоны</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="135"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="278"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="278"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="278"/>
         <source>Cell Color</source>
         <translation>Цвет клетки</translation>
     </message>
@@ -31,33 +35,40 @@
         <location filename="configdialog.ui" line="142"/>
         <location filename="configdialog.ui" line="162"/>
         <location filename="configdialog.ui" line="182"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="279"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="281"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="283"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="279"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="281"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="283"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="279"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="281"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="283"/>
         <source>Select...</source>
         <translation>Выбор...</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="175"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="282"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="282"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="282"/>
         <source>Cells Border Color</source>
         <translation>Цвет бордюра клетки</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="217"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="284"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="284"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="284"/>
         <source>Patterns List</source>
         <translation>Список шаблонов</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="233"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="285"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="285"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="285"/>
         <source>Pattern Details</source>
         <translation>Сведения о шаблоне</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="257"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="286"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="286"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="286"/>
         <source>Description:</source>
         <translation>Описание:</translation>
     </message>
@@ -65,43 +76,49 @@
         <location filename="configdialog.ui" line="279"/>
         <location filename="configdialog.ui" line="317"/>
         <location filename="configdialog.ui" line="349"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="287"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="289"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="291"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="287"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="289"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="291"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="287"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="289"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="291"/>
         <source>TextLabel</source>
         <translatorcomment>Текст</translatorcomment>
         <translation></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="295"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="288"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="288"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="288"/>
         <source>Author:</source>
         <translation>Автор:</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="327"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="290"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="290"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="290"/>
         <source>Author E-Mail:</source>
         <translation>E-Mail автора:</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="155"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_configdialog.h" line="280"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_configdialog.h" line="280"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_configdialog.h" line="280"/>
         <source>Background Color</source>
         <translation>Цвет фона</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="53"/>
+        <location filename="configdialog.cpp" line="63"/>
         <source>Choose background color</source>
         <translation>Выбирите цвет фона</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="64"/>
+        <location filename="configdialog.cpp" line="74"/>
         <source>Choose cells color</source>
         <translation>Выбирите цвет клетки</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="75"/>
+        <location filename="configdialog.cpp" line="85"/>
         <source>Choose border color</source>
         <translation>Выберите цвет бордюра</translation>
     </message>
@@ -109,61 +126,61 @@
 <context>
     <name>KLGameField</name>
     <message>
-        <location filename="KLGameField.cpp" line="408"/>
-        <location filename="KLGameField.cpp" line="421"/>
+        <location filename="KLGameField.cpp" line="409"/>
+        <location filename="KLGameField.cpp" line="422"/>
         <source>This application (*.kgol)</source>
         <oldsource>This application (*.kgol) (*.kgol)</oldsource>
         <translation>Это приложение (*.kgol)</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="446"/>
-        <location filename="KLGameField.cpp" line="590"/>
+        <location filename="KLGameField.cpp" line="447"/>
+        <location filename="KLGameField.cpp" line="589"/>
         <source>Error</source>
         <oldsource>error</oldsource>
         <translation>Ошибка</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="431"/>
-        <location filename="KLGameField.cpp" line="538"/>
+        <location filename="KLGameField.cpp" line="432"/>
+        <location filename="KLGameField.cpp" line="537"/>
         <source>Open file failed</source>
         <translation>Не удалось открыть файл</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="612"/>
+        <location filename="KLGameField.cpp" line="613"/>
         <source>Info</source>
         <translation>Предупреждение</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="613"/>
+        <location filename="KLGameField.cpp" line="614"/>
         <source>Do you really want to load colony from the selected template?</source>
         <oldsource>Do you really want to load colony from the selected template</oldsource>
         <translation>Вы действительно хотите загрузить выбранный в настройках шаблон?</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="544"/>
-        <location filename="KLGameField.cpp" line="556"/>
-        <location filename="KLGameField.cpp" line="566"/>
-        <location filename="KLGameField.cpp" line="578"/>
+        <location filename="KLGameField.cpp" line="543"/>
+        <location filename="KLGameField.cpp" line="555"/>
+        <location filename="KLGameField.cpp" line="565"/>
+        <location filename="KLGameField.cpp" line="577"/>
         <source>Invalid file format</source>
         <translation>Неверный формат файла</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="420"/>
+        <location filename="KLGameField.cpp" line="421"/>
         <source>Save colony current state</source>
         <translation>Сохранить текущее состояние колонии</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="455"/>
+        <location filename="KLGameField.cpp" line="456"/>
         <source>Set or erase a single cell by double click or drag a line with left button pressed</source>
         <translation>Установите или снимите клетку двойным нажатием или проведите линию, зажав левую кнопку</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="456"/>
+        <location filename="KLGameField.cpp" line="457"/>
         <source>Drag the mouse to move field</source>
         <translation>Зажмите левую кнопку и передвиньте поле с помощью мыши</translation>
     </message>
     <message>
-        <location filename="KLGameField.cpp" line="407"/>
+        <location filename="KLGameField.cpp" line="408"/>
         <source>Load colony from file</source>
         <translation>Загрузить колонию из файла</translation>
     </message>
@@ -172,233 +189,265 @@
     <name>MainWindow</name>
     <message>
         <location filename="mainwindow.ui" line="26"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="273"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="273"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="273"/>
         <source>Game Of Life</source>
         <translation>Игра &quot;Жизнь&quot;</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="90"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="331"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="331"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="331"/>
         <source>Settings</source>
         <translation>Настройки</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="99"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="332"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="332"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="332"/>
         <source>Help</source>
         <translation>Помощь</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="159"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="276"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="276"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="276"/>
         <source>Clear the field and stop evolution</source>
         <translation>Очистить поле и остановить эволюцию</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="168"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="278"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="278"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="278"/>
         <source>Next Step</source>
         <translation>Следующий шаг</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="171"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="280"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="280"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="280"/>
         <source>Next single evolution step</source>
         <translation>Следующий шаг эволюции</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="180"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="282"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="282"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="282"/>
         <source>Start/Stop Evolution</source>
         <translation>Начать/Остановить эволюцию</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="183"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="284"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="284"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="284"/>
         <source>Start Evolution</source>
         <translation>Начать эволюцию</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="186"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="287"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="287"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="287"/>
         <source>Start or stop continuous evolution.&lt;br&gt; The  icon changes  to match the current mode</source>
         <oldsource>Start or stop continious evolution.&lt;br&gt; The  icon changes  to match the current mode</oldsource>
         <translation type="unfinished">Начать или остановить эволюцию.&lt;br&gt; Иконка меняется в зависимости от режима</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="195"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="289"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="289"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="289"/>
         <source>About Qt</source>
         <translation>О Qt</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="204"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="290"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="290"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="290"/>
         <source>About</source>
         <translation>О программе</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="213"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="291"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="291"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="291"/>
         <source>Save...</source>
         <translation>Сохранить...</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="219"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="296"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="296"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="296"/>
         <source>Save current colony to file</source>
         <translation>Сохранить колонию в файл</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="228"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="298"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="298"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="298"/>
         <source>Open...</source>
         <translation>Загрузить...</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="234"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="303"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="303"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="303"/>
         <source>Load a colony from a file</source>
         <translation>Загрузить колонию из файла</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="252"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="307"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="307"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="307"/>
         <source>Click here to enter field move mode. In this mode you can move the field to see the cells that don&apos;t fit the screen due to current zoom</source>
         <translation>Нажмите, чтобы перейти в режим перемещения. Перемещайте поле, если не все клетки помещаются на экране из-за масштаба</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="264"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="311"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="311"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="311"/>
         <source>Zoom scale in. You can also use mouse wheel. &lt;br&gt; Dimmed on maximum zoom</source>
         <translation>Увеличить масштаб. Можно использовать колесо мыши. Затемнена, если масштаб максимальный</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="279"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="315"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="315"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="315"/>
         <source>Zoom scale out. You can also use mouse wheel.&lt;br&gt;  Dimmed on minimal zoom</source>
         <translation>Уменьшить масштаб. Можно использовать колесо мыши. Затемнена, если масштаб минимальный</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="294"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="319"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="319"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="319"/>
         <source>Restore initial zoom.&lt;br&gt; Dimmed when the zoom is minimal</source>
         <translation>Восстановить начальный масштаб. Затемнена, если масштаб минимальный</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="303"/>
         <location filename="mainwindow.ui" line="306"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="321"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="323"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="321"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="323"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="321"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="323"/>
         <source>Kglife settings...</source>
         <oldsource>Setup Kglife</oldsource>
         <translation>Настроить Kglife...</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="309"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="326"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="326"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="326"/>
         <source>Open settings dialog</source>
         <translation>Показать диалог настроек</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="317"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="328"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="328"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="328"/>
         <source>Show toolbar</source>
         <translation>Показать панель инструментов</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="325"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="329"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="329"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="329"/>
         <source>Show status bar</source>
         <translation>Показать строку состояния</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="249"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="305"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="305"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="305"/>
         <source>Move</source>
         <translation>Переместить</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="261"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="309"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="309"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="309"/>
         <source>Zoom In</source>
         <translation>Увеличить</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="276"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="313"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="313"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="313"/>
         <source>Zoom Out</source>
         <translation>Уменьшить</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="291"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="317"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="317"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="317"/>
         <source>Restore</source>
         <translation>Восстановить</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="216"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="293"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="293"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="293"/>
         <source>Save colony current state</source>
         <translation>Сохранить текущее состояние колонии</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="231"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="300"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="300"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="300"/>
         <source>Load colony from file</source>
         <translation>Загрузить колонию из файла</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="112"/>
+        <location filename="mainwindow.cpp" line="120"/>
         <source>Start evolution</source>
         <translation>Начать эволюцию</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="74"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="330"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="330"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="330"/>
         <source>Game</source>
         <translation>Игра</translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="156"/>
-        <location filename="obj-x86_64-linux-gnu/kglife_autogen/include/ui_mainwindow.h" line="274"/>
+        <location filename="cmake-build-debug/kglife_autogen/include/ui_mainwindow.h" line="274"/>
+        <location filename="cmake-build-release/kglife_autogen/include/ui_mainwindow.h" line="274"/>
         <source>New Game</source>
         <translation>Новая игра</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="37"/>
+        <location filename="mainwindow.cpp" line="45"/>
         <source>Generation Change Rate</source>
         <oldsource>Generation Change Speed</oldsource>
         <translation>Скорость смены поколений</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="39"/>
+        <location filename="mainwindow.cpp" line="47"/>
         <source>You can change generation rate even when evolution is in progress</source>
         <translation>Можно изменять скорость смены поколений даже во время эволюции</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="50"/>
+        <location filename="mainwindow.cpp" line="58"/>
         <source>Put any cells here by mouse click or simply drag a line of cells.&lt;br&gt;You can also zoom in and out whith a mouse wheel or action controls</source>
         <oldsource>Put any cells here by mouse click or simply drag a line of cells.&lt;br&gt;You can also increase or decrease the scale whith a mouse wheel or menu controls</oldsource>
         <translation>Расположите любое количество клеток щелчком мыши или проведите линию, зажав левую кнопку. Можно изменять масштаб при помощи колеса мыши или элементов управления</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="70"/>
+        <location filename="mainwindow.cpp" line="78"/>
         <source>A simple Game Of Life Qt realization</source>
         <translation>Простая реализация игры &quot;Жизнь&quot; на Qt</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="112"/>
+        <location filename="mainwindow.cpp" line="120"/>
         <source>Stop evolution</source>
         <translation>Остановить эволюцию</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="116"/>
+        <location filename="mainwindow.cpp" line="124"/>
         <source>Generation: %1</source>
         <translation>Поколение: %1</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="121"/>
+        <location filename="mainwindow.cpp" line="129"/>
         <source>Colony is empty</source>
         <oldsource>Colony is empty or remains static</oldsource>
         <translation>Колония пуста</translation>
